using BS.Shared;

namespace BeWo.Data.Entities
{
    public class InvoiceNumber : BeWoEntityBase
    {
        public static string PropertyName_CurrentNumber = "CurrentNumber";

        public static string PropertyName_Pattern = "Pattern";

        public static string PropertyName_Use = "Use";

        private long _CurrentNumber;

        private string _Pattern;

        private bool _Use;

        public InvoiceNumber()
        {
            this._Tid = TableID.InvoiceNumber;
        }

        public virtual long CurrentNumber
        {
            get
            {
                return this._CurrentNumber;
            }

            set
            {
                if (this.AreDifferent(this._CurrentNumber, value))
                {
                    this._CurrentNumber = value;
                }
            }
        }

        public virtual string Pattern
        {
            get
            {
                return this._Pattern;
            }

            set
            {
                if (this.AreDifferent(this._Pattern, value))
                {
                    this._Pattern = value;
                }
            }
        }

        public virtual bool Use
        {
            get
            {
                return this._Use;
            }

            set
            {
                if (this.AreDifferent(this._Use, value))
                {
                    this._Use = value;
                }
            }
        }
    }
}